## MMCbm MMCbm — The CBM interface |

## Functions

guint | mm_cbm_get_channel ()
const gchar * | mm_cbm_get_path ()
gchar * | mm_cbm_dup_path ()
MMCbmState | mm_cbm_get_state ()
const gchar * | mm_cbm_get_text ()
gchar * | mm_cbm_dup_text ()
guint | mm_cbm_get_message_code ()
guint | mm_cbm_get_update ()

## Types and Values

struct | MMCbm

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── MmGdbusCbmProxy
                ╰── MMCbm

## Implemented Interfaces

MMCbm implements GDBusInterface, GInitable, GAsyncInitable and MmGdbusCbm.

## Description

The MMCbm is an object providing access to the methods, signals and properties of the CBM interface.

When the CBM is exposed and available in the bus, it is ensured that at least this interface is also available.

## Functions

### mm_cbm_get_channel ()

    guint
    mm_cbm_get_channel (MMCbm *self);

Gets the channel of this CBM.

#### Parameters

self | A MMCbm. |

#### Returns

The channel

Since: 1.24

### mm_cbm_get_path ()

    const gchar *
    mm_cbm_get_path (MMCbm *self);

Gets the DBus path of the MMCbm object.

#### Parameters

self | A MMCbm. |

#### Returns

The DBus path of the MMCbm object.

[transfer none]

Since: 1.24

### mm_cbm_dup_path ()

    gchar *
    mm_cbm_dup_path (MMCbm *self);

Gets a copy of the DBus path of the MMCbm object.

#### Parameters

self | A MMCbm. |

#### Returns

The DBus path of the MMCbm object. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.24

### mm_cbm_get_state ()

    MMCbmState
    mm_cbm_get_state (MMCbm *self);

Gets the state of this CBM.

#### Parameters

self | A MMCbm. |

#### Returns

A MMCbmState specifying the state.

Since: 1.24

### mm_cbm_get_text ()

    const gchar *
    mm_cbm_get_text (MMCbm *self);

Gets the message text, in UTF-8.

The returned value is only valid until the property changes so it is only safe to use this function on the thread where `self` was constructed. Use `mm_cbm_dup_text()` if on another thread.

#### Parameters

self | A MMCbm. |

#### Returns

The message text, or `NULL` if it doesn't contain any (e.g. contains data instead).

[transfer none]

Since: 1.24

### mm_cbm_dup_text ()

    gchar *
    mm_cbm_dup_text (MMCbm *self);

Gets the message text, in UTF-8.

#### Parameters

self | A MMCbm. |

#### Returns

The message text, or `NULL` if it doesn't contain any (e.g. contains data instead). The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.24

### mm_cbm_get_message_code ()

    guint
    mm_cbm_get_message_code (MMCbm *self);

Gets the message code of this CBM.

#### Parameters

self | A MMCbm. |

#### Returns

The message code

Since: 1.24

### mm_cbm_get_update ()

    guint
    mm_cbm_get_update (MMCbm *self);

Gets the update number of this CBM.

#### Parameters

self | A MMCbm. |

#### Returns

The update number

Since: 1.24

## Types and Values

### struct MMCbm

    struct MMCbm;

The MMCbm structure contains private data and should only be accessed using the provided API.